%define upstream_name    Dist-Zilla-Plugin-Twitter
%define upstream_version 0.010

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Twitter when you release with Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Visitor::Callback)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::App::Tester)
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::Releaser)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(JSON::Any)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Math::BigFloat)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::MultiInitArg)
BuildRequires: perl(Net::Netrc)
BuildRequires: perl(Net::Twitter)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Shorten::Simple)
BuildRequires: perl(WWW::Shorten::TinyURL)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(utf8)
BuildArch: noarch

%description
This plugin will use the Net::Twitter manpage with the login and password
in your '.netrc' file to send a release notice to Twitter. By default, it
will include a link to your README file as extracted on a fast CPAN mirror.
This works very nicely with the Dist::Zilla::Plugin::ReadmeFromPod manpage.

The default configuration is as follows:

   [Twitter]
   tweet_url = http://cpan.cpantesters.org/authors/id/{{$AUTHOR_PATH}}/{{$DIST}}-{{$VERSION}}.readme
   tweet = Released {{$DIST}}-{{$VERSION}} {{$URL}}

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

#%check
#%make test

%install
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml META.json README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun May 01 2011 Sandro Cazzaniga <kharec@mandriva.org> 0.10.0-1mdv2011.0
+ Revision: 661393
- new version 0.010
- add a BR on MooseX::MultiInitArg
- add a BR on WWW::Shorten::Simple
- add a BR on JSON::Any
- add a BR on HTML::Entities
- add a BR on Data::Visitor::Callback
- add a BR on Digest::SHA1
- remove buildroot definition
- clean %%install
- temporary disable check section

* Sat Apr 16 2011 Funda Wang <fwang@mandriva.org> 0.9.0-2
+ Revision: 653585
- rebuild for updated spec-helper

* Tue Aug 24 2010 Jérôme Quelin <jquelin@mandriva.org> 0.9.0-1mdv2011.0
+ Revision: 572864
- import perl-Dist-Zilla-Plugin-Twitter

